%% perf_smass.m
%% 䐫\̕]

%% Ώۂ̒`
smass_param
J3n   = J3;
Kan   = Ka;
J3    = ureal('J3',J3n,'percent',50);
Ka    = ureal('Ka',Kan,'percent',10);
Ppert = defssmodel(J1,J2,J3,Ka,Kb,D1,D2,D3,Da,Db);
Pn    = Ppert.nominal;
rng('default') % ̏
Parray = usample(Ppert,100);

%% m~i\̊mF
L = Pn*Kmu;
T = feedback(L,1);    % T = L/(1+L)
S = feedback(1,L);    % S = 1/(1+L)
M = feedback(Pn,Kmu); % M = P/(1+L)
figure(100)
bodemag(T,'-',1/Wt,':',S,'--',1/(Wps*Pn),'-.',w);
legend('T','1/Wt','S','1/(Wps*P)',1)
ylim([-80 40])

%% oXg\̊mFi}6.18, 6.25, 6.29j
Marray = feedback(Parray,Kmu);
figure(101)
bodemag(Marray,'-',1/Wps,'--',w);
legend('M','1/Wps',3)
ylim([-120 20])

%% ⊴x֐̌vZ
Tarray   = feedback(Parray*Kmu,1);
Tarray_g = frd(Tarray,w);
Wt_g     = frd(Wt,w);
figure(102)
switch pfx
    case 'mu1'
        % }6.19
        bodemag(Tarray_g,'-')
    case {'mu2','mu2r'}
        % }6.27, 6.31
        bodemag(Tarray_g,'-',1/Wt_g,'--')
        legend('T','1/Wt')
end
ylim([-80 30])
hold on
waku2x=[1e-1 300  300  max(w)];
waku2y=[20   20  -20   -20];
semilogx(waku2x,waku2y,'k-.')
hold off
switch pfx
    case {'mu2','mu2r'}
        legend('T','1/Wt')
end
xlim([min(w),max(w)])

%% 2Rxn
% mb`tB^̗Li0:, 1:Lj
nfsw  = 1; 
% K̓f(M)ƃtB[htH[h(Gff)
wn    = 45;
zt    = 0.7;
alpha = zt*wn;
s     = tf('s');
switch nfsw
    case 0
        M   = ss(wn^2*alpha/((s^2 + 2*zt*wn*s + wn^2)*(s+alpha)));
        Gff = ss(M/tf(Pn));
    case 1
        % s6.17
        Fn1 = notch_f(1.9152e2,1.0218e-2,0.7);
        Fn2 = notch_f(1.0017e3,1.5405e-3,0.7);
        % s6.18
        Mt  = ss(wn^2*alpha/((s^2 + 2*zt*wn*s + wn^2)*(s+alpha)));
        M   = Mt*Fn1*Fn2;
        Gff = ss(M/tf(Pn));
        Gff = minreal(Gff,1e-5);
        % }6.21
        figure(103)
        Gff0 = ss(Mt/tf(Pn));
        bodemag(Gff0,'--',Gff,'-',w)
        legend('Without Notch filter','With Notch filter',2)
        ylim([-80 40])
end

%% K̓fƃtB[htH[h͂̉i}6.22j
figure(104)
Tf = 0.5;
t = 0:Tf/100:Tf;
subplot(211)
step(M,t);
legend('M',4)
hold on;
waku2x= [0.0 0.1 0.1  0.2  0.2  0.3  0.3  Tf  ];
waku2y1=[1.1 1.1 1.1  1.1  1.05 1.05 1.01 1.01];
waku2y2=[0.0 0.0 0.75 0.75 0.95 0.95 0.99 0.99];
plot(waku2x,waku2y1,'k--',waku2x,waku2y2,'k--')
ylim([0 1.2])
ylabel('o')
hold off
subplot(212)
step(Gff,t);
ylim([-3,3])
ylabel('')
legend('Gff',4)
title('')
subplot(111)

%% 2Rxn̉i}6.23, 6.26, 6.30j
% eubN̓o͖`
P     = Parray; % s6.19
K     = Kmu;
P.y   = 'y';
P.u   = 'u';
K.y   = 'ufb';
K.u   = 'e';
Gff.y = 'uff';
Gff.u = 'r';
M.y   = 'yr';
M.u   = 'r';
% Z_̒`
sum1  = sumblk('u=uff+ufb');
sum2  = sumblk('e=yr-y');
% ڑ̎s
Gtdof = connect(P,K,Gff,M,sum1,sum2,'r',{'y','u'});
% vbg
figure(105)
Tf = 0.5;
t = 0:Tf/100:Tf;
subplot(211)
step(Gtdof(1,1),t);
hold on;
waku2x= [0.0 0.1 0.1  0.2  0.2  0.3  0.3  Tf  ];
waku2y1=[1.1 1.1 1.1  1.1  1.05 1.05 1.01 1.01];
waku2y2=[0.0 0.0 0.75 0.75 0.95 0.95 0.99 0.99];
plot(waku2x,waku2y1,'k--',waku2x,waku2y2,'k--')
ylim([0 1.2])
ylabel('o')
hold off
subplot(212)
step(Gtdof(2,1),t);
ylim([-3,3])
ylabel('')
title('')
subplot(111)
